Beschreibung:

OSD-Teletext zeigt Videotext direkt auf dem OSD an.
Im Hintergrund gibt es weiterhin Bild und Ton.


Tasten:
   1,...,9: Seitenzahl eingeben
   Hoch:    Seite weiter
   Herunter:Seite zurück
   Rechts:  Unterseite weiter
   Links:   Unterseite zurück
   Zurück:  Videotext-Plugin schließen

   Die restliche Bedienung ("Aktionen") durch die anderen Tasten ist frei konfigurierbar.
   Man kann z.B. einstellen, das die man mit der Taste Rot auf die Seite 100 springt.
   Bei dieser Einstellung wäre die Aktion "Springe zu 100" der Taste Rot zugeordnet.

   Verfügbare Tasten: Blau, Rot, Gelb, Grün, Stop, Schneller Vorlauf, Schn. Rücklauf, OK
   Aktionen:          "Vergrößern", "Halbe Seite", "Kanal wechseln",
                      "Hotkey Ebene+", "Hotkey Ebene-"
                      "OSD Voreinstellung+", "OSD Voreinstellung-"
                      "Hintergrund wechseln", "Springe zu..." einer bestimmten Seite

   Beschreibung der Aktionen:
      Vergrößern:    Obere / untere Hälfte vergrößern / zurück zur ganzen Seite

      Halbe Seite:   OSD-Fenster nur noch in unterer Hälfte des Bildschirms zeigen
                     und obere / untere Hälfte anzeigen bzw. zurück

      Kanal wechseln:Seiten eines anderen Senders als des gerade eingestellten anzeigen.
                     Falls der Sender auf dem selben Transponder oder mittels eines freien
                     Tuners verfügbar ist, wird der Empfänger umgeschaltet. Andernfalls sind
                     nur Seiten verfügbar, die vorher gespeichert wurden, als der Kanal
                     ausgewählt wurde.  Bei Aufruf der Aktion wird nach der Kanalnummer
                     gefragt. Die Nummer mit den Zifferntasten eingeben und OK drücken.
                     Falls keine Nummer eingegeben wurde, wird zum Live-Kanal gewechselt.

      Springe zu...: Springt zu der entsprechenden Seite

      Hintergrund wechseln: Ändert die im Setup einstellbare Hintergrundfarbe sofort zu Schwarz
                            und nach erneutem Aufruf wieder zurück.

      Konfiguration: Aktiviere den OSD Konfigurations-Modus, aktuell unterstützt
                      Links,Oben +/-
                      Breite,Höhe +/-
                      Rahmen +/-
                      Zeichensatz
                      Text Vertikaer Offset +/-
                      Hintergrund Transparenz +/-

      24-Zeilen-Modus: Umschalten Hotkey Zeile (Zeile 25) oder zusätzliche Hinweiszeilen (line 26+27)

      Antwort     :  Zeige versteckte Zeichen (Umschalter)
                      OSD zeigt ein gelbes '?' im Fall daß die Seite versteckte Zeichen enthält
                      OSD zeigt ein grünes '!' während versteckte Zeichen angezeigt werden

      Pause       :  Stoppt Aktualisierung der Seite (Umschalter)
                      OSD zeigt rotes '!' während die Aktualisierug pausiert
                      OSD zeigt green '>' nachdem die Pause deaktiviert wurde (bis zur nächsten Aktualisierung der Seite)

     ** falls eingeschaltet/aktiv **
     Hotkey Ebene+  :  Wechsle zur nächsten Hotkey Ebene (incl. Rollover)
     Hotkey Ebene-  :  Wechsle zur vorherigen Hotkey Ebene (incl. Rollover)
        Empfohlene Zuweisung:
           FastFwd: Hotkey Ebene+
           FastRwd: Hotkey Ebene-

     ** falls eingeschaltet/aktiv **
     OSD Preset+    :  Wechsle zur nächsten OSD Voreinstellung (incl. Rollover)
     OSD Preset-    :  Wechsle zur vorherigen OSD Voreinstellung (incl. rollover)
        Empfohlene Zuweisung:
           Stopp     : OSD Preset-
           Wiedergabe: OSD Preset+

   Wie man Tasten Aktionen zuordnet:
   Im Einstellungsmenü des Plugins kann jeder Taste eine Aktion zugeordnet werden.
   Dabei ist nichts vorgeschrieben - keine Aktion muss irgendeiner Taste zugewiesen werden,
   wenn sie nicht benötigt wird.
   Bei Auswahl von "Springe zu..." wird die Seitennummer in der Zeile direkt darunter
   angegeben.

Andere Optionen:
   Zeige Uhr:  Diese Option bestimmt, ob etwa im Sekundenabstand zusätzlich eine Uhr angezeigt wird.
               Die Uhr zeigt die aktuelle Systemzeit, nicht die mit dem Videotext ausgestrahlte Zeit.
               Um genaue Werte zu haben, kann VDR die Systemzeit von einem Transponder einstellen.
   Automatisch aktualisieren: 
               Überprüft ständig, ob sich die Seite geändert hat und aktualisiert sie wenn nötig
   16-Farben-Modus:
               Benutze nur 16 Farben (4-Bit) (für ältere DVB Karten)
   Mindest Benutzer-Inaktivität:
               Bestimmt die Zeit (in Minuten), nach der das Plugin automatisch geschlossen wird, wenn
               der Benutzer solange keine Taste betätigt hat. Das kann durch setzen des Wertes auf 0
               verhindert werden. Dann wird jedoch auch das automatische Abschalten von VDR effektiv
               außer Kraft gesetzt, solange das Plugin geöffnet ist.

   ** optional mit Unterstützung mehrerer Voreinstellungen **

   OSD-Breite, OSD-Höhe: 
               Hier kann die Größe des OSD unabhängig von den Einstellungen für VDR
               bestimmt werden. Valider Bereich zwischen 10% und 100%
   OSD Links, OSD Oben:
               Hier kann die linke/obere Ecke des OSD unabhängig von den Einstellungen für VDR
               bestimmt werden. Valider Bereich zwischen 0% und 90%
   Zeichensatz:
               Hier kann der Zeichensatz ausgewählt werden
   Vertikaler Text Offset:
               Justage des vertikalen Offsets für Textdarstellung bei einer (skalierten) Anzahl von Pixels
               Valider Bereich zwischen -10 und 10 (und abhängig vom ausgewählten Font)
   Hintergrund-Transparenz: Zahl zwischen 0 (schwarz) und 255 (transparenz). Vorgegeben ist 128 (wie auch von VDR)

   Hotkey (Farb-)Tasten einrichten:    siehe oben, optional mit multi-Ebenen-Unterstützung

   Tasten einrichten:    siehe oben

Kommandozeilen-Optionen:
   Einige Einstellungen werden über die Kommandozeile anstatt über das Menü gesetzt.
   Verfügbare Optionen:

     -d        --directory=DIR    Das Verzeichnis für die temporären Dateien.
                                  (Voreinstellung: /var/cache/vdr/vtx)
                                  Stellen Sie sicher, dass das Verzeichnis existiert
                                  und beschreibbar ist.
     -n        --max-cache=NUM    Maximale Größe des Zwischenspeichers für Seiten
                                  auf der Festplatte.
                                  (Voreinstellung: ein berechneter Wert unter 50 MB)
     -s        --cache-system=SYS Das zu benutzende Zwischenspeichersystem.
                                  Wählen Sie "legacy" für das althergebrachte
                                  System "Eine Datei - eine Seite".
                                  Voreinstellung ist "packed" für ein System, das
                                  in eine Datei mehrere Seiten speichert.
     -t        --toptext          Speichere TopText Seiten (nich anzeigbar)
     -k        --key-levels=NUM   Maximale Anzahl von Hot Key Ebenen für Auswahl und Speicherung
                                   Standard: 1 (deaktiviert diese Erweiterung)
                                   Maximum: 9 Ebenen
     -o        --osd-presets=NUM  Maximale Anzahl von OSD Voreinstellungen für Auswahl und Speicherung
                                   Standard: 1 (deaktiviert diese Erweiterung)
                                   Maximum: 9 Voreinstellungen
     -P|--debugpage <int|hexint>  Spezifiziere Seite für Debugging (int: intern automatisch konvertiert nach hex)
     -S|--debugpsub <int|hexint>  Spezifiziere Unterseite für Debugging (int: intern automatisch konvertiert nach hex)
     -L|--debugline <int>         Spezifiziere Zeile für Debugging
     -D|--debugmask <int|hexint>  Aktiviere Debug-Maske (siehe logging.h für Details)

Farben:
  Auf allen Ausgabegeräten, die nicht in der Farbtiefe des OSD beschränkt sind,
  werden die unveränderten Farben des Videotexts dargestellt (einzig Weiß wurde zum Zwecke der besseren
  Lesbarkeit durch Cyan ersetzt).
  Für die klassische DVB-Karte mit Hardware-Dekoder und anderen so beschränkten Geräten werden nur vier Farben dargestellt. Die Zuordnung ist auf ARD, ZDF und RTL optimiert. Sollten Sie aus irgendeinem Grund absolut nicht
  meiner Meinung sein, passen Sie die Datei colormapping.h an und kompilieren Sie neu.
